
from typing import Literal

__version__ = "1.0.0"


class TAILWIND_COLORS:
    """
    Provides all colors from TailwindCSS as strings.

    ```python
    print(TAILWIND_COLORS.AMBER_600)
    # prints `#d97706`
    ```
    """
        
    SLATE_050: Literal['f8fafc'] = '#f8fafc'
    SLATE_100: Literal['f1f5f9'] = '#f1f5f9'
    SLATE_200: Literal['e2e8f0'] = '#e2e8f0'
    SLATE_300: Literal['cbd5e1'] = '#cbd5e1'
    SLATE_400: Literal['94a3b8'] = '#94a3b8'
    SLATE_500: Literal['64748b'] = '#64748b'
    SLATE_600: Literal['475569'] = '#475569'
    SLATE_700: Literal['334155'] = '#334155'
    SLATE_800: Literal['1e293b'] = '#1e293b'
    SLATE_900: Literal['0f172a'] = '#0f172a'

    GRAY_050: Literal['f9fafb'] = '#f9fafb'
    GRAY_100: Literal['f3f4f6'] = '#f3f4f6'
    GRAY_200: Literal['e5e7eb'] = '#e5e7eb'
    GRAY_300: Literal['d1d5db'] = '#d1d5db'
    GRAY_400: Literal['9ca3af'] = '#9ca3af'
    GRAY_500: Literal['6b7280'] = '#6b7280'
    GRAY_600: Literal['4b5563'] = '#4b5563'
    GRAY_700: Literal['374151'] = '#374151'
    GRAY_800: Literal['1f2937'] = '#1f2937'
    GRAY_900: Literal['111827'] = '#111827'

    ZINC_050: Literal['fafafa'] = '#fafafa'
    ZINC_100: Literal['f4f4f5'] = '#f4f4f5'
    ZINC_200: Literal['e4e4e7'] = '#e4e4e7'
    ZINC_300: Literal['d4d4d8'] = '#d4d4d8'
    ZINC_400: Literal['a1a1aa'] = '#a1a1aa'
    ZINC_500: Literal['71717a'] = '#71717a'
    ZINC_600: Literal['52525b'] = '#52525b'
    ZINC_700: Literal['3f3f46'] = '#3f3f46'
    ZINC_800: Literal['27272a'] = '#27272a'
    ZINC_900: Literal['18181b'] = '#18181b'

    NEUTRAL_050: Literal['fafafa'] = '#fafafa'
    NEUTRAL_100: Literal['f5f5f5'] = '#f5f5f5'
    NEUTRAL_200: Literal['e5e5e5'] = '#e5e5e5'
    NEUTRAL_300: Literal['d4d4d4'] = '#d4d4d4'
    NEUTRAL_400: Literal['a3a3a3'] = '#a3a3a3'
    NEUTRAL_500: Literal['737373'] = '#737373'
    NEUTRAL_600: Literal['525252'] = '#525252'
    NEUTRAL_700: Literal['404040'] = '#404040'
    NEUTRAL_800: Literal['262626'] = '#262626'
    NEUTRAL_900: Literal['171717'] = '#171717'

    STONE_050: Literal['fafaf9'] = '#fafaf9'
    STONE_100: Literal['f5f5f4'] = '#f5f5f4'
    STONE_200: Literal['e7e5e4'] = '#e7e5e4'
    STONE_300: Literal['d6d3d1'] = '#d6d3d1'
    STONE_400: Literal['a8a29e'] = '#a8a29e'
    STONE_500: Literal['78716c'] = '#78716c'
    STONE_600: Literal['57534e'] = '#57534e'
    STONE_700: Literal['44403c'] = '#44403c'
    STONE_800: Literal['292524'] = '#292524'
    STONE_900: Literal['1c1917'] = '#1c1917'

    RED_050: Literal['fef2f2'] = '#fef2f2'
    RED_100: Literal['fee2e2'] = '#fee2e2'
    RED_200: Literal['fecaca'] = '#fecaca'
    RED_300: Literal['fca5a5'] = '#fca5a5'
    RED_400: Literal['f87171'] = '#f87171'
    RED_500: Literal['ef4444'] = '#ef4444'
    RED_600: Literal['dc2626'] = '#dc2626'
    RED_700: Literal['b91c1c'] = '#b91c1c'
    RED_800: Literal['991b1b'] = '#991b1b'
    RED_900: Literal['7f1d1d'] = '#7f1d1d'

    ORANGE_050: Literal['fff7ed'] = '#fff7ed'
    ORANGE_100: Literal['ffedd5'] = '#ffedd5'
    ORANGE_200: Literal['fed7aa'] = '#fed7aa'
    ORANGE_300: Literal['fdba74'] = '#fdba74'
    ORANGE_400: Literal['fb923c'] = '#fb923c'
    ORANGE_500: Literal['f97316'] = '#f97316'
    ORANGE_600: Literal['ea580c'] = '#ea580c'
    ORANGE_700: Literal['c2410c'] = '#c2410c'
    ORANGE_800: Literal['9a3412'] = '#9a3412'
    ORANGE_900: Literal['7c2d12'] = '#7c2d12'

    AMBER_050: Literal['fffbeb'] = '#fffbeb'
    AMBER_100: Literal['fef3c7'] = '#fef3c7'
    AMBER_200: Literal['fde68a'] = '#fde68a'
    AMBER_300: Literal['fcd34d'] = '#fcd34d'
    AMBER_400: Literal['fbbf24'] = '#fbbf24'
    AMBER_500: Literal['f59e0b'] = '#f59e0b'
    AMBER_600: Literal['d97706'] = '#d97706'
    AMBER_700: Literal['b45309'] = '#b45309'
    AMBER_800: Literal['92400e'] = '#92400e'
    AMBER_900: Literal['78350f'] = '#78350f'

    YELLOW_050: Literal['fefce8'] = '#fefce8'
    YELLOW_100: Literal['fef9c3'] = '#fef9c3'
    YELLOW_200: Literal['fef08a'] = '#fef08a'
    YELLOW_300: Literal['fde047'] = '#fde047'
    YELLOW_400: Literal['facc15'] = '#facc15'
    YELLOW_500: Literal['eab308'] = '#eab308'
    YELLOW_600: Literal['ca8a04'] = '#ca8a04'
    YELLOW_700: Literal['a16207'] = '#a16207'
    YELLOW_800: Literal['854d0e'] = '#854d0e'
    YELLOW_900: Literal['713f12'] = '#713f12'

    LIME_050: Literal['f7fee7'] = '#f7fee7'
    LIME_100: Literal['ecfccb'] = '#ecfccb'
    LIME_200: Literal['d9f99d'] = '#d9f99d'
    LIME_300: Literal['bef264'] = '#bef264'
    LIME_400: Literal['a3e635'] = '#a3e635'
    LIME_500: Literal['84cc16'] = '#84cc16'
    LIME_600: Literal['65a30d'] = '#65a30d'
    LIME_700: Literal['4d7c0f'] = '#4d7c0f'
    LIME_800: Literal['3f6212'] = '#3f6212'
    LIME_900: Literal['365314'] = '#365314'

    GREEN_050: Literal['f0fdf4'] = '#f0fdf4'
    GREEN_100: Literal['dcfce7'] = '#dcfce7'
    GREEN_200: Literal['bbf7d0'] = '#bbf7d0'
    GREEN_300: Literal['86efac'] = '#86efac'
    GREEN_400: Literal['4ade80'] = '#4ade80'
    GREEN_500: Literal['22c55e'] = '#22c55e'
    GREEN_600: Literal['16a34a'] = '#16a34a'
    GREEN_700: Literal['15803d'] = '#15803d'
    GREEN_800: Literal['166534'] = '#166534'
    GREEN_900: Literal['14532d'] = '#14532d'

    EMERALD_050: Literal['ecfdf5'] = '#ecfdf5'
    EMERALD_100: Literal['d1fae5'] = '#d1fae5'
    EMERALD_200: Literal['a7f3d0'] = '#a7f3d0'
    EMERALD_300: Literal['6ee7b7'] = '#6ee7b7'
    EMERALD_400: Literal['34d399'] = '#34d399'
    EMERALD_500: Literal['10b981'] = '#10b981'
    EMERALD_600: Literal['059669'] = '#059669'
    EMERALD_700: Literal['047857'] = '#047857'
    EMERALD_800: Literal['065f46'] = '#065f46'
    EMERALD_900: Literal['064e3b'] = '#064e3b'

    TEAL_050: Literal['f0fdfa'] = '#f0fdfa'
    TEAL_100: Literal['ccfbf1'] = '#ccfbf1'
    TEAL_200: Literal['99f6e4'] = '#99f6e4'
    TEAL_300: Literal['5eead4'] = '#5eead4'
    TEAL_400: Literal['2dd4bf'] = '#2dd4bf'
    TEAL_500: Literal['14b8a6'] = '#14b8a6'
    TEAL_600: Literal['0d9488'] = '#0d9488'
    TEAL_700: Literal['0f766e'] = '#0f766e'
    TEAL_800: Literal['115e59'] = '#115e59'
    TEAL_900: Literal['134e4a'] = '#134e4a'

    CYAN_050: Literal['ecfeff'] = '#ecfeff'
    CYAN_100: Literal['cffafe'] = '#cffafe'
    CYAN_200: Literal['a5f3fc'] = '#a5f3fc'
    CYAN_300: Literal['67e8f9'] = '#67e8f9'
    CYAN_400: Literal['22d3ee'] = '#22d3ee'
    CYAN_500: Literal['06b6d4'] = '#06b6d4'
    CYAN_600: Literal['0891b2'] = '#0891b2'
    CYAN_700: Literal['0e7490'] = '#0e7490'
    CYAN_800: Literal['155e75'] = '#155e75'
    CYAN_900: Literal['164e63'] = '#164e63'

    SKY_050: Literal['f0f9ff'] = '#f0f9ff'
    SKY_100: Literal['e0f2fe'] = '#e0f2fe'
    SKY_200: Literal['bae6fd'] = '#bae6fd'
    SKY_300: Literal['7dd3fc'] = '#7dd3fc'
    SKY_400: Literal['38bdf8'] = '#38bdf8'
    SKY_500: Literal['0ea5e9'] = '#0ea5e9'
    SKY_600: Literal['0284c7'] = '#0284c7'
    SKY_700: Literal['0369a1'] = '#0369a1'
    SKY_800: Literal['075985'] = '#075985'
    SKY_900: Literal['0c4a6e'] = '#0c4a6e'

    BLUE_050: Literal['eff6ff'] = '#eff6ff'
    BLUE_100: Literal['dbeafe'] = '#dbeafe'
    BLUE_200: Literal['bfdbfe'] = '#bfdbfe'
    BLUE_300: Literal['93c5fd'] = '#93c5fd'
    BLUE_400: Literal['60a5fa'] = '#60a5fa'
    BLUE_500: Literal['3b82f6'] = '#3b82f6'
    BLUE_600: Literal['2563eb'] = '#2563eb'
    BLUE_700: Literal['1d4ed8'] = '#1d4ed8'
    BLUE_800: Literal['1e40af'] = '#1e40af'
    BLUE_900: Literal['1e3a8a'] = '#1e3a8a'

    INDIGO_050: Literal['eef2ff'] = '#eef2ff'
    INDIGO_100: Literal['e0e7ff'] = '#e0e7ff'
    INDIGO_200: Literal['c7d2fe'] = '#c7d2fe'
    INDIGO_300: Literal['a5b4fc'] = '#a5b4fc'
    INDIGO_400: Literal['818cf8'] = '#818cf8'
    INDIGO_500: Literal['6366f1'] = '#6366f1'
    INDIGO_600: Literal['4f46e5'] = '#4f46e5'
    INDIGO_700: Literal['4338ca'] = '#4338ca'
    INDIGO_800: Literal['3730a3'] = '#3730a3'
    INDIGO_900: Literal['312e81'] = '#312e81'

    VIOLET_050: Literal['f5f3ff'] = '#f5f3ff'
    VIOLET_100: Literal['ede9fe'] = '#ede9fe'
    VIOLET_200: Literal['ddd6fe'] = '#ddd6fe'
    VIOLET_300: Literal['c4b5fd'] = '#c4b5fd'
    VIOLET_400: Literal['a78bfa'] = '#a78bfa'
    VIOLET_500: Literal['8b5cf6'] = '#8b5cf6'
    VIOLET_600: Literal['7c3aed'] = '#7c3aed'
    VIOLET_700: Literal['6d28d9'] = '#6d28d9'
    VIOLET_800: Literal['5b21b6'] = '#5b21b6'
    VIOLET_900: Literal['4c1d95'] = '#4c1d95'

    PURPLE_050: Literal['faf5ff'] = '#faf5ff'
    PURPLE_100: Literal['f3e8ff'] = '#f3e8ff'
    PURPLE_200: Literal['e9d5ff'] = '#e9d5ff'
    PURPLE_300: Literal['d8b4fe'] = '#d8b4fe'
    PURPLE_400: Literal['c084fc'] = '#c084fc'
    PURPLE_500: Literal['a855f7'] = '#a855f7'
    PURPLE_600: Literal['9333ea'] = '#9333ea'
    PURPLE_700: Literal['7e22ce'] = '#7e22ce'
    PURPLE_800: Literal['6b21a8'] = '#6b21a8'
    PURPLE_900: Literal['581c87'] = '#581c87'

    FUCHSIA_050: Literal['fdf4ff'] = '#fdf4ff'
    FUCHSIA_100: Literal['fae8ff'] = '#fae8ff'
    FUCHSIA_200: Literal['f5d0fe'] = '#f5d0fe'
    FUCHSIA_300: Literal['f0abfc'] = '#f0abfc'
    FUCHSIA_400: Literal['e879f9'] = '#e879f9'
    FUCHSIA_500: Literal['d946ef'] = '#d946ef'
    FUCHSIA_600: Literal['c026d3'] = '#c026d3'
    FUCHSIA_700: Literal['a21caf'] = '#a21caf'
    FUCHSIA_800: Literal['86198f'] = '#86198f'
    FUCHSIA_900: Literal['701a75'] = '#701a75'

    PINK_050: Literal['fdf2f8'] = '#fdf2f8'
    PINK_100: Literal['fce7f3'] = '#fce7f3'
    PINK_200: Literal['fbcfe8'] = '#fbcfe8'
    PINK_300: Literal['f9a8d4'] = '#f9a8d4'
    PINK_400: Literal['f472b6'] = '#f472b6'
    PINK_500: Literal['ec4899'] = '#ec4899'
    PINK_600: Literal['db2777'] = '#db2777'
    PINK_700: Literal['be185d'] = '#be185d'
    PINK_800: Literal['9d174d'] = '#9d174d'
    PINK_900: Literal['831843'] = '#831843'

    ROSE_050: Literal['fff1f2'] = '#fff1f2'
    ROSE_100: Literal['ffe4e6'] = '#ffe4e6'
    ROSE_200: Literal['fecdd3'] = '#fecdd3'
    ROSE_300: Literal['fda4af'] = '#fda4af'
    ROSE_400: Literal['fb7185'] = '#fb7185'
    ROSE_500: Literal['f43f5e'] = '#f43f5e'
    ROSE_600: Literal['e11d48'] = '#e11d48'
    ROSE_700: Literal['be123c'] = '#be123c'
    ROSE_800: Literal['9f1239'] = '#9f1239'
    ROSE_900: Literal['881337'] = '#881337'
